API reference › Chinese

24 Solar Terms API

The 24 solar terms of a year, to the minute

POST/v1/chinese/solar-terms

1 credit · Secret key (test or live) · getSolarTerms

Request body

  • year integer required

    ≥ 1901 · ≤ 2099

No other fields are accepted.

Response

JSON { data, meta, warnings }, where data is:

  • year integer required
  • count integer required
  • terms array of object required
    • id string required
    • chinese string required
    • sun_longitude number required
    • kind string required

      one of jie, zhongqi

    • at string (date-time) required
    • beijing string required

      The same moment in UTC+8.

Errors: 400, 401, 403, 404, 422, 429, 500. See error codes.

Example request

curl -X POST 'https://api.astrologics.in/v1/chinese/solar-terms' \
  -H 'Authorization: Bearer al_test_YOUR_KEY' \
  -H 'Content-Type: application/json' \
  -d '{"year":2026}'
Node.js
const res = await fetch("https://api.astrologics.in/v1/chinese/solar-terms", {
  method: "POST",
  headers: { Authorization: "Bearer al_test_YOUR_KEY", "Content-Type": "application/json" },
  body: JSON.stringify({
    "year": 2026
  }),
});
console.log(JSON.stringify(await res.json(), null, 2));
Python
import json
import urllib.error
import urllib.request

body = {
    "year": 2026,
}

req = urllib.request.Request(
    "https://api.astrologics.in/v1/chinese/solar-terms",
    method="POST",
    headers={"Authorization": "Bearer al_test_YOUR_KEY", "Content-Type": "application/json"},
    data=json.dumps(body).encode(),
)
try:
    with urllib.request.urlopen(req) as res:
        print(json.dumps(json.load(res), indent=2, ensure_ascii=False))
except urllib.error.HTTPError as err:
    print(err.code, err.read().decode())
PHP
<?php
$ch = curl_init('https://api.astrologics.in/v1/chinese/solar-terms');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => ['Authorization: Bearer al_test_YOUR_KEY', 'Content-Type: application/json'],
    CURLOPT_POSTFIELDS => '{"year":2026}',
    CURLOPT_RETURNTRANSFER => true,
]);
echo curl_exec($ch), PHP_EOL;

Example response

200 OK · 5,096 characters
{
  "data": {
    "year": 2026,
    "count": 24,
    "terms": [
      {
        "id": "xiao_han",
        "chinese": "小寒",
        "sun_longitude": 285,
        "kind": "jie",
        "at": "2026-01-05T08:23:03.114Z",
        "beijing": "2026-01-05 16:23"
      },
      {
        "id": "da_han",
        "chinese": "大寒",
        "sun_longitude": 300,
        "kind": "zhongqi",
        "at": "2026-01-20T01:44:42.360Z",
        "beijing": "2026-01-20 09:44"
      },
      {
        "id": "li_chun",
        "chinese": "立春",
        "sun_longitude": 315,
        "kind": "jie",
        "at": "2026-02-03T20:01:54.541Z",
        "beijing": "2026-02-04 04:01"
      },
      {
        "id": "yu_shui",
        "chinese": "雨水",
        "sun_longitude": 330,
        "kind": "zhongqi",
        "at": "2026-02-18T15:51:32.389Z",
        "beijing": "2026-02-18 23:51"
      },
      {
        "id": "jing_zhe",
        "chinese": "惊蛰",
        "sun_longitude": 345,
        "kind": "jie",
        "at": "2026-03-05T13:58:43.971Z",
        "beijing": "2026-03-05 21:58"
      },
      {
        "id": "chun_fen",
        "chinese": "春分",
        "sun_longitude": 0,
        "kind": "zhongqi",
        "at": "2026-03-20T14:45:36.044Z",
        "beijing": "2026-03-20 22:45"
      },
      {
        "id": "qing_ming",
        "chinese": "清明",
        "sun_longitude": 15,
        "kind": "jie",
        "at": "2026-04-04T18:39:59.161Z",
        "beijing": "2026-04-05 02:39"
      },
      {
        "id": "gu_yu",
        "chinese": "谷雨",
        "sun_longitude": 30,
        "kind": "zhongqi",
        "at": "2026-04-20T01:39:09.897Z",
        "beijing": "2026-04-20 09:39"
      },
      {
        "id": "li_xia",
        "chinese": "立夏",
        "sun_longitude": 45,
        "kind": "jie",
        "at": "2026-05-05T11:49:09.475Z",
        "beijing": "2026-05-05 19:49"
      },
      {
        "id": "xiao_man",
        "chinese": "小满",
        "sun_longitude": 60,
        "kind": "zhongqi",
        "at": "2026-05-21T00:37:16.958Z",
        "beijing": "2026-05-21 08:37"
      },
      {
        "id": "mang_zhong",
        "chinese": "芒种",
        "sun_longitude": 75,
        "kind": "jie",
        "at": "2026-06-05T15:48:59.457Z",
        "beijing": "2026-06-05 23:48"
      },
      {
        "id": "xia_zhi",
        "chinese": "夏至",
        "sun_longitude": 90,
        "kind": "zhongqi",
        "at": "2026-06-21T08:25:00.316Z",
        "beijing": "2026-06-21 16:25"
      },
      {
        "id": "xiao_shu",
        "chinese": "小暑",
        "sun_longitude": 105,
        "kind": "jie",
        "at": "2026-07-07T01:57:22.386Z",
        "beijing": "2026-07-07 09:57"
      },
      {
        "id": "da_shu",
        "chinese": "大暑",
        "sun_longitude": 120,
        "kind": "zhongqi",
        "at": "2026-07-22T19:13:18.217Z",
        "beijing": "2026-07-23 03:13"
      },
      {
        "id": "li_qiu",
        "chinese": "立秋",
        "sun_longitude": 135,
        "kind": "jie",
        "at": "2026-08-07T11:42:56.663Z",
        "beijing": "2026-08-07 19:42"
      },
      {
        "id": "chu_shu",
        "chinese": "处暑",
        "sun_longitude": 150,
        "kind": "zhongqi",
        "at": "2026-08-23T02:18:58.412Z",
        "beijing": "2026-08-23 10:18"
      },
      {
        "id": "bai_lu",
        "chinese": "白露",
        "sun_longitude": 165,
        "kind": "jie",
        "at": "2026-09-07T14:41:44.296Z",
        "beijing": "2026-09-07 22:41"
      },
      {
        "id": "qiu_fen",
        "chinese": "秋分",
        "sun_longitude": 180,
        "kind": "zhongqi",
        "at": "2026-09-23T00:05:38.617Z",
        "beijing": "2026-09-23 08:05"
      },
      {
        "id": "han_lu",
        "chinese": "寒露",
        "sun_longitude": 195,
        "kind": "jie",
        "at": "2026-10-08T06:29:58.055Z",
        "beijing": "2026-10-08 14:29"
      },
      {
        "id": "shuang_jiang",
        "chinese": "霜降",
        "sun_longitude": 210,
        "kind": "zhongqi",
        "at": "2026-10-23T09:38:24.266Z",
        "beijing": "2026-10-23 17:38"
      },
      {
        "id": "li_dong",
        "chinese": "立冬",
        "sun_longitude": 225,
        "kind": "jie",
        "at": "2026-11-07T09:52:33.362Z",
        "beijing": "2026-11-07 17:52"
      },
      {
        "id": "xiao_xue",
        "chinese": "小雪",
        "sun_longitude": 240,
        "kind": "zhongqi",
        "at": "2026-11-22T07:23:34.115Z",
        "beijing": "2026-11-22 15:23"
      },
      {
        "id": "da_xue",
        "chinese": "大雪",
        "sun_longitude": 255,
        "kind": "jie",
        "at": "2026-12-07T02:52:47.191Z",
        "beijing": "2026-12-07 10:52"
      },
      {
        "id": "dong_zhi",
        "chinese": "冬至",
        "sun_longitude": 270,
        "kind": "zhongqi",
        "at": "2026-12-21T20:50:22.187Z",
        "beijing": "2026-12-22 04:50"
      }
    ]
  },
  "meta": {
    "request_id": "req_example",
    "api_version": "v1",
    "engine_version": "2026.10.10",
    "mode": "live",
    "credits_charged": 1
  },
  "warnings": []
}
Try it

Leave empty to use the shared demo key (limited). Test keys only: never charged. Kept in this browser tab and sent through this site to the API. Create one

More in Chinese

Get a free API key Chinese product page